accrue.analysis.interprocanalysis

## Class CallGraph

- java.lang.Object
- - accrue.analysis.interprocanalysis.CallGraph

-     public class CallGraph
      extends java.lang.Object

  Representation of the interprocedural call graph.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CallGraph(java.util.Set<AnalysisUnit> startProcs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addEdge(AnalysisUnit caller, AnalysisUnit callee)`
    `java.util.Set<AnalysisUnit>` | `allProcs()`
    `java.util.Set<AnalysisUnit>` | `calledBy(AnalysisUnit a)`
    `java.util.Set<AnalysisUnit>` | `callees()`
    `java.util.Set<AnalysisUnit>` | `callees(AnalysisUnit r)`
    `void` | `dump(java.io.PrintStream out)`
    `boolean` | `existsPathOfLength(AnalysisUnit au, int length)`
    `boolean` | `existsPathOfLength(polyglot.types.CodeInstance ci, int length)`
    `boolean` | `maybeRecursiveCall(AnalysisUnit caller, AnalysisUnit callee)`
    `int` | `nodeSize()`
    `java.util.Set<AnalysisUnit>` | `startProcs()`
    `long` | `totalSize()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CallGraph

          public CallGraph(java.util.Set<AnalysisUnit> startProcs)

  - ### Method Detail

    - #### callees

          public java.util.Set<AnalysisUnit> callees()

    - #### calledBy

          public java.util.Set<AnalysisUnit> calledBy(AnalysisUnit a)

    - #### allProcs

          public java.util.Set<AnalysisUnit> allProcs()

    - #### startProcs

          public java.util.Set<AnalysisUnit> startProcs()

    - #### addEdge

          public boolean addEdge(AnalysisUnit caller,
                        AnalysisUnit callee)

    - #### existsPathOfLength

          public boolean existsPathOfLength(polyglot.types.CodeInstance ci,
                                   int length)

    - #### existsPathOfLength

          public boolean existsPathOfLength(AnalysisUnit au,
                                   int length)

    - #### callees

          public java.util.Set<AnalysisUnit> callees(AnalysisUnit r)

    - #### dump

          public void dump(java.io.PrintStream out)

    - #### nodeSize

          public int nodeSize()

    - #### totalSize

          public long totalSize()

    - #### maybeRecursiveCall

          public boolean maybeRecursiveCall(AnalysisUnit caller,
                                   AnalysisUnit callee)